package com.ejie.ab79.model.REST.servicioWeb;

public class InspeccionDato implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private DatosGenerales datosGenerales;
	private Actuaciones actuaciones;
	private RespuestasProtocolo respuestasProtocolo;
	private PreguntasRespuestasExpediente preguntasRespuestasExpediente;
	private PreguntasRespuestasValidacion preguntasRespuestasValidacion;
	private PreguntasRespuestasRelConFac preguntasRespuestasRelConFac;

	public InspeccionDato() {
	}

	public DatosGenerales getDatosGenerales() {
		return datosGenerales;
	}

	public void setDatosGenerales(DatosGenerales datosGenerales) {
		this.datosGenerales = datosGenerales;
	}

	public Actuaciones getActuaciones() {
		return actuaciones;
	}

	public void setActuaciones(Actuaciones actuaciones) {
		this.actuaciones = actuaciones;
	}

	public RespuestasProtocolo getRespuestasProtocolo() {
		return respuestasProtocolo;
	}

	public void setRespuestasProtocolo(RespuestasProtocolo respuestasProtocolo) {
		this.respuestasProtocolo = respuestasProtocolo;
	}

	public PreguntasRespuestasExpediente getPreguntasRespuestasExpediente() {
		return preguntasRespuestasExpediente;
	}

	public void setPreguntasRespuestasExpediente(PreguntasRespuestasExpediente preguntasRespuestasExpediente) {
		this.preguntasRespuestasExpediente = preguntasRespuestasExpediente;
	}

	public PreguntasRespuestasValidacion getPreguntasRespuestasValidacion() {
		return preguntasRespuestasValidacion;
	}

	public void setPreguntasRespuestasValidacion(PreguntasRespuestasValidacion preguntasRespuestasValidacion) {
		this.preguntasRespuestasValidacion = preguntasRespuestasValidacion;
	}

	public PreguntasRespuestasRelConFac getPreguntasRespuestasRelConFac() {
		return preguntasRespuestasRelConFac;
	}

	public void setPreguntasRespuestasRelConFac(PreguntasRespuestasRelConFac preguntasRespuestasRelConFac) {
		this.preguntasRespuestasRelConFac = preguntasRespuestasRelConFac;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ datosGenerales: ").append(this.datosGenerales).append(" ]");
		result.append(", [ actuaciones: ").append(this.actuaciones).append(" ]");
		result.append(", [ respuestasProtocolo: ").append(this.respuestasProtocolo).append(" ]");
		result.append(", [ preguntasRespuestasExpediente: ").append(this.preguntasRespuestasExpediente).append(" ]");
		result.append(", [ preguntasRespuestasValidacion: ").append(this.preguntasRespuestasValidacion).append(" ]");
		result.append(", [ preguntasRespuestasRelConFac: ").append(this.preguntasRespuestasRelConFac).append(" ]");
		result.append("}");
		return result.toString();
	}
}
